.TH etop 3 "observer  0.9.8.1" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
etop \- Erlang Top is a tool for presenting information about erlang processes similar to the information presented by "top" in UNIX\&.
.SH DESCRIPTION
.LP
\fIetop\fR should be started with the provided scripts \fIetop\fR and \fIgetop\fR for text based and graphical presentation respectively\&. Under Windows the batch files \fIetop\&.bat\fR and \fIgetop\&.bat\fR can be used\&. 
.LP
All interaction with \fIetop\fR when running the graphical presentation should happen via the menus\&. For the text based presentation the functions described below can be used\&. 
.LP
The following configuration parameters exist for \fIetop\fR\&. 
.RS 2
.TP 4
.B
node:
The measured node\&. 
.br
 Value: atom() 
.br
 Mandatory
.TP 4
.B
setcookie:
Cookie to use for the etop node - must be the same as the cookie on the measured node\&. 
.br
 Value: atom()
.TP 4
.B
lines:
Number of lines (processes) to display\&. 
.br
 Value: integer() 
.br
 Default: 10
.TP 4
.B
interval:
The time interval (in seconds) between each update of the display\&. 
.br
 Value: integer() 
.br
 Default: 5
.TP 4
.B
accumulate:
If \fItrue\fR the execution time and reductions are accumulated\&. 
.br
 Value: boolean() 
.br
 Default: \fIfalse\fR
.TP 4
.B
sort:
Identifies what information to sort by\&. 
.br
 Value: \fIruntime | reductions | memory | msg_q\fR 
.br
 Default: \fIruntime\fR (\fIreductions\fR if \fItracing=off\fR)
.TP 4
.B
tracing:
\fIetop\fR uses the erlang trace facility, and thus no other tracing is possible on the measured node while \fIetop\fR is running, unless this option is set to \fIoff\fR\&. Also helpful if the \fIetop\fR tracing causes too high load on the measured node\&. With tracing off, runtime is not measured\&. 
.br
 Value: \fIon | off\fR 
.br
 Default: \fIon\fR
.RE

.SH EXPORTS
.LP
.B
config(Key,Value) -> Result
.br
.RS
.TP
Types
Result = ok | {error, Reason}
.br
Key = lines | interval | accumulate | sort
.br
Value = term()
.br
.RE
.RS
.LP
This function is used to change the tool\&'s configuration parameters during runtime\&. The table above indicates the allowed values for each parameter\&.
.RE
.LP
.B
dump(File) -> Result
.br
.RS
.TP
Types
Result = ok | {error, Reason}
.br
File = string()
.br
.RE
.RS
.LP
This function dumps the current display to a text file\&.
.RE
.LP
.B
stop() -> stop
.br
.RS
.LP
This function terminates \fIetop\fR\&.
.RE
